<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="tekken">
        <input>
            <port tag="PLAYER1" type="P1_BUTTON1" mask="16" defvalue="16">
                <newseq type="standard">
                    KEYCODE_L
                </newseq>
            </port>
            <port tag="PLAYER1" type="P1_BUTTON2" mask="32" defvalue="32">
                <newseq type="standard">
                    KEYCODE_COLON
                </newseq>
            </port>
            <port tag="PLAYER1" type="START1" mask="128" defvalue="128">
                <newseq type="standard">
                    KEYCODE_N
                </newseq>
            </port>
            <port tag="PLAYER2" type="P2_JOYSTICK_RIGHT" mask="1" defvalue="1">
                <newseq type="standard">
                    KEYCODE_RIGHT
                </newseq>
            </port>
            <port tag="PLAYER2" type="P2_JOYSTICK_LEFT" mask="2" defvalue="2">
                <newseq type="standard">
                    KEYCODE_LEFT
                </newseq>
            </port>
            <port tag="PLAYER2" type="P2_JOYSTICK_DOWN" mask="4" defvalue="4">
                <newseq type="standard">
                    KEYCODE_DOWN
                </newseq>
            </port>
            <port tag="PLAYER2" type="P2_JOYSTICK_UP" mask="8" defvalue="8">
                <newseq type="standard">
                    KEYCODE_UP
                </newseq>
            </port>
            <port tag="PLAYER2" type="P2_BUTTON1" mask="16" defvalue="16">
                <newseq type="standard">
                    KEYCODE_1
                </newseq>
            </port>
            <port tag="PLAYER2" type="P2_BUTTON2" mask="32" defvalue="32">
                <newseq type="standard">
                    KEYCODE_2
                </newseq>
            </port>
            <port tag="PLAYER3" type="P1_BUTTON3" mask="16" defvalue="16">
                <newseq type="standard">
                    KEYCODE_STOP
                </newseq>
            </port>
            <port tag="PLAYER3" type="P1_BUTTON4" mask="32" defvalue="32">
                <newseq type="standard">
                    KEYCODE_SLASH
                </newseq>
            </port>
            <port tag="PLAYER4" type="P2_BUTTON3" mask="16" defvalue="16">
                <newseq type="standard">
                    KEYCODE_3
                </newseq>
            </port>
            <port tag="PLAYER4" type="P2_BUTTON4" mask="32" defvalue="32">
                <newseq type="standard">
                    KEYCODE_4
                </newseq>
            </port>
        </input>
    </system>
</mameconfig>
